- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
qi::TypeOfTemplate< qi::FutureSync > Class Template Referenceabstract

`#include <objecttypebuilder.hpp>`

## Public Member Functions
virtual TypeInterface * | templateArgument ()=0
Public Member Functions inherited from qi::detail::StaticObjectTypeBase
void | initialize (const MetaObject &mo, const ObjectTypeData &data)
const TypeInfo & | info () override
| Get the TypeInfo corresponding to this type. More...
const MetaObject & | metaObject (void *instance) override
ObjectUid | uid (void *instance) const override
qi::Future< AnyReference > | metaCall (void *instance, AnyObject context, unsigned int method, const GenericFunctionParameters &params, MetaCallType callType, Signature returnSignature) override
void | metaPost (void *instance, AnyObject context, unsigned int signal, const GenericFunctionParameters &params) override
qi::Future< SignalLink > | connect (void *instance, AnyObject context, unsigned int event, const SignalSubscriber &subscriber) override
qi::Future< void > | disconnect (void *instance, AnyObject context, SignalLink linkId) override
| Disconnect an event link. Returns if disconnection was successful. More...
qi::Future< AnyValue > | property (void *instance, AnyObject context, unsigned int id) override
qi::Future< void > | setProperty (void *instance, AnyObject context, unsigned int id, AnyValue value) override
const std::vector< std::pair < TypeInterface *, std::ptrdiff_t > > & | parentTypes () override
void * | initializeStorage (void *) override
void * | ptrFromStorage (void **) override
void * | clone (void *inst) override
| Allocate a storage and copy the value given as an argument. More...
void | destroy (void *) override
| Free all resources of a storage. More...
bool | less (void *a, void *b) override
Public Member Functions inherited from qi::ObjectTypeInterface
virtual TypeKind | kind ()
std::ptrdiff_t | inherits (TypeInterface *other)
Public Member Functions inherited from qi::TypeInterface
virtual | ~TypeInterface ()=default
const char * | infoString ()
qi::Signature | signature (void *storage=nullptr, bool resolveDynamic=false)

## Additional Inherited Members
Static Public Member Functions inherited from qi::TypeInterface
static TypeInterface * | fromSignature (const qi::Signature &sig)
Static Public Attributes inherited from qi::ObjectTypeInterface
static const auto | INHERITS_FAILED = PTRDIFF_MAX

## Detailed Description

### template<>
class qi::TypeOfTemplate< qi::FutureSync >

Definition at line 286 of file objecttypebuilder.hpp.

## Member Function Documentation

virtual TypeInterface* qi::TypeOfTemplate< qi::FutureSync >::templateArgument | ( |  | ) |
| pure virtual

Implemented in qi::TypeOfTemplateFutImpl< qi::FutureSync, T >.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/type/objecttypebuilder.hpp